Subject: Re: [RFC PATCH net-next 05/15] net/sched: taprio: give higher priority to higher TCs in software dequeue mode

From: Kurt Kanzenbach <[email-masked]>
Date: Tue, 31 Jan 2023 10:37:47 +0100

On Sun Jan 29 2023, Vladimir Oltean wrote:
> Anyway, I also need to be very realistic about what's possible for me to
> change and how far I'm willing to go, and Vinicius made it pretty clear
> that the existing taprio/mqprio configurations should be kept "working"
> (given an arbitrary definition of "working"). So things like adding UAPI
> for TXQ feature detection, such that an automated way of constructing
> the mqprio queue configuration, would be interesting but practically
> useless, since existing setups don't use that.
>
> He proposed to cut our losses and use the capability structure to
> conditionally keep that code in place. The resulting taprio code would
> be pretty horrible, but it might be doable.
>
> Here is a completely untested patch below, which is intended to replace
> this one. Feedback for the approach appreciated.

Yeah, I think Vinicius has to ack or nack this.

Thanks,
Kurt